import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  userId: z.number().int(),
  name: z.string(),
  parentId: z.number().int().optional().nullable(),
  createdAt: z.coerce.date().optional(),
  updatedAt: z.coerce.date().optional()
}).strict();
export const CloudFolderCreateManyPatientInputObjectSchema: z.ZodType<Prisma.CloudFolderCreateManyPatientInput> = makeSchema() as unknown as z.ZodType<Prisma.CloudFolderCreateManyPatientInput>;
export const CloudFolderCreateManyPatientInputObjectZodSchema = makeSchema();
